# インストール
 - 現在使用中でアップデートする場合、この取説は不要です。[簡易取説_アップデート.md]を参照して下さい。
 - 初めて使う場合、この取説に従いセットアップして下さい。

## 配置

zipファイル内のフォルダ`toShare`を適当な場所にコピー。  

## 初期設定

 - 実行ファイル`\toShare\toShare.exe`を起動する。
 - PortNo.を設定する(`80`、`8000`、`8080`など)。
 - Memoは文字通りメモです。任意です。

## サーバー機能 起動と停止
 - <kbd>Start</kbd>押下でWeb/Restサーバー起動。
 - <kbd>Stop</kbd>押下でWeb/Restサーバー停止。

## ファイアウォール(Windows設定)

toShare.exeと外部の送受信を許可する。
Windowsの設定によってはWeb/Restサーバー起動時に問われる。

## 初期設定の保存

PortNo.とサーバー状態は記憶し次の起動に引き継がれる。例えば

 - toShare.exeの終了時にPortNo.8080でWeb/Restサーバー起動していた場合、
 - toShare.exeを起動時にPortNo.8080でWeb/Restサーバー起動の状態となる。

## 自動起動

フォルダ スタートアップにtoShare.exeへのショートカットを作成。  
スタートアップは「ファイル名を指定して実行(<kbd><kbd>Win</kbd>+<kbd>R</kbd></kbd>)」で`shell:startup`を指定すると開く。

# データベース・バックアップ

登録データや予約情報はSQLiteファイル`\toShare\data\toShare.db`に保存している。
このファイルをコピーする事でバックアップ出来る。
また、DB Browser for SQLite などで参照編集可能。


# アンインストール

 - toShare.exeを終了しフォルダ`toShare`削除。
 - 自動起動していた場合はスタートアップのショートカットも削除。

